/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Generic (CALLED IN NORMALIZE.CSS)
	- Normalize
	- Box sizing
	- Media width
# Base
	- Typography
	- Elements
	- Links
# Components
	- Header
	- Main
	- Footer
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Base
--------------------------------------------------------------*/

/* Typography
--------------------------------------------- */

/* Elements
--------------------------------------------- */
.site-wrapper {
  margin: 5rem -1px -1px;
  padding: 8rem 1rem;
  background-color: #1757a6;
}

@media (min-width: 90em) {
  .site-wrapper {
    margin-top: -20rem;
  }
}

@media (min-width: 120em) {
  .site-wrapper {
    margin-top: -45rem;
  }
}

/* Links
--------------------------------------------- */

/*--------------------------------------------------------------
# Components
--------------------------------------------------------------*/

/* Header
--------------------------------------------- */
@media (min-width: 120em) {
  .site-tagline {
    margin-right: 1.5rem;
  }
}

/* Hero
--------------------------------------------- */
.hero {
  position: relative;
}

.hero-image {
  display: none;
}

.hero-content::after {
  content: '';
  display: none;
  position: absolute;
  width: 70%;
  height: 18.75rem;
  right: 0;
  top: 31rem;
  background-image: radial-gradient(#676767, 2px, transparent 2px);
  background-size: 1.5rem 1.5rem;
}

@media (min-width: 60em) {
  .hero-content::after {
    display: block;
    top: 25.75rem;
  }

  .name-section h2 {
    background-color: #1757a6;
  }

  .name-section p {
    background-color: #1757a6;
  }
}

@media (min-width: 90em) {
  .hero-content::after {
    width: 75%;
    right: -5rem;
    top: 31rem;
  }

  .hero-image {
    display: block;
    position: relative;
    width: 19.3rem;
    margin: 0 0 1rem 2rem;
    bottom: 6rem;
    float: right;
    shape-outside: url('../images/taiwan.svg');
    shape-margin: 3rem;
  }
}

@media (min-width: 120em) {
  .hero-content::after {
    width: 60%;
    height: 25rem;
    right: 12.5rem;
    top: 0;
    bottom: 22rem;
    align-self: flex-end;
  }

  .hero-image {
    width: 30rem;
    position: relative;
    bottom: 7rem;
    shape-margin: 5rem;
  }

  .hero-intro {
    font-size: 1.8rem;
  }

  .hero-text {
    max-width: none;
  }
}

/* Main
--------------------------------------------- */
.main-content:not(:last-child) {
  margin-bottom: 5rem;
}

.main-subtitle {
  margin-bottom: 1.5rem;
  font-size: 1.875rem;
  color: #fff;
}

.main-content p {
  position: relative;
  color: #fff;
  z-index: 1;
}

.main-content p:not(:last-child) {
  margin-bottom: 1.5rem;
}

.history-section-btn {
  display: block;
  width: fit-content;
  margin: 2rem auto 0;
  padding: 0.5rem;
  font-size: 1.125rem;
  font-weight: 500;
  text-align: center;
  color: #fff;
  text-decoration: underline;
  text-transform: uppercase;
  word-spacing: 1px;
}

.history-section-btn:active,
.history-section-btn:visited {
  color: #fff;
}

.subscribe-content {
  margin: 0 auto;
  padding: 2rem;
  border: 2px solid #fff;
  border-radius: 0.625rem;
  text-align: center;
}

.subscribe-content h3 {
  margin-bottom: 3rem;
  font-size: 1.25rem;
  line-height: 2rem;
  color: #fff;
  text-align: center;
}

.subscribe-form input {
  width: 100%;
  margin-bottom: 3rem;
  padding: 0.5rem 0;
  background-color: transparent;
  border: 0;
  border-bottom: 2px solid #fff;
  border-radius: 0;
  color: #fff;
}

.subscribe-form input::placeholder {
  color: #fff;
}

.subscribe-form input:focus {
  outline: none;
  box-shadow: none;
}

.subscribe-form-btn {
  width: 100%;
  padding: 1rem 0;
  border: none;
  border-radius: 0.3125rem;
  background-color: #fff;
  font-weight: 600;
  color: #1757a6;
  text-align: center;
}

@media (min-width: 48em) {
  .main-content {
    margin: 0 5rem;
    max-width: 40rem;
  }

  .main-content:not(:last-child) {
    margin-bottom: 10rem;
  }

  .history-section-btn {
    margin-top: 3rem;
    font-size: 1.25rem;
  }

  .subscribe-content {
    margin: 0 5rem;
  }
}

@media (min-width: 60em) {
  .name-section h2 {
    position: relative;
    width: fit-content;
    font-weight: 500;
    background: #1757a6;
    z-index: 1;
  }

  .history-section {
    max-width: 48rem;
    margin: 0 auto;
  }

  .history-section h2 {
    font-size: 2.5rem;
    text-align: center;
    text-transform: uppercase;
  }

  .subscribe-content {
    max-width: 48rem;
    margin: 0 auto;
    padding: 2.75rem 4.25rem;
    background: #1757a6;
  }

  .subscribe-form-btn {
    max-width: 24rem;
  }
}

@media (min-width: 90em) {
  .name-section {
    margin-left: 10rem;
    margin-bottom: 7rem;
  }

  .history-section {
    max-width: 62.5rem;
    padding-bottom: 4rem;
  }

  .subscribe-content {
    max-width: 62.5rem;
  }
}

/* Footer
--------------------------------------------- */
.site-footer {
  color: #fff;
  background-color: #1757a6;
}

.site-link,
.site-link:active,
.site-link:visited {
  color: #fff;
}

.copyright {
  color: #fff;
}
